Submitted By: Larry Lawrence (larry at linuxfromscratch dot org)
Date: 2003-10-14
Initial Package Version: 0.1.14
Origin: Fluxbox download directory on Sourceforge
Description: Allow compiling with GCC-3.3.1

diff -I'^// \$Id' -Naur --exclude-from diff-exclude fluxbox-0.1.14.orig/configure fluxbox-0.1.14/configure
--- fluxbox-0.1.14.orig/configure	2002-12-08 12:39:59.000000000 +1100
+++ fluxbox-0.1.14/configure	2003-09-11 00:45:43.000000000 +1000
@@ -8322,7 +8322,7 @@
 
 
 
-for ac_func in getpid setlocale sigaction strftime strcasestr snprintf vsnprintf catopen catgets catclose
+for ac_func in getpid setlocale sigaction strcasestr snprintf vsnprintf catopen catgets catclose
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -8397,6 +8397,61 @@
 fi
 done
 
+echo "$as_me:$LINENO: checking for strftime" >&5
+echo $ECHO_N "checking for strftime... $ECHO_C" >&6
+
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <time.h>
+int
+main ()
+{
+
+char * s;
+time_t t = time(NULL);
+size_t x = strftime(s, 5, "%a", localtime(&t));
+
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STRFTIME 1
+_ACEOF
+
+	echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+
+
 echo "$as_me:$LINENO: checking for t_open in -lnsl" >&5
 echo $ECHO_N "checking for t_open in -lnsl... $ECHO_C" >&6
 if test "${ac_cv_lib_nsl_t_open+set}" = set; then
diff -I'^// \$Id' -Naur --exclude-from diff-exclude fluxbox-0.1.14.orig/configure.in fluxbox-0.1.14/configure.in
--- fluxbox-0.1.14.orig/src/Toolbar.cc	2002-12-08 14:41:57.000000000 +1100
+++ fluxbox-0.1.14/src/Toolbar.cc	2003-09-11 00:32:52.000000000 +1000
@@ -65,6 +65,7 @@
 #include <iostream>
 
 using namespace std;
+using namespace FBNLS;
 
 Toolbar::Toolbar(BScreen *scrn):
 on_top(scrn->isToolbarOnTop()),
@@ -204,6 +205,7 @@
 }
 		
 void Toolbar::reconfigure() {
+	I18n *i18n = I18n::instance();
 	int head_x = 0,
 			head_y = 0,
 			head_w,
@@ -519,6 +521,7 @@
 
 
 void Toolbar::checkClock(bool redraw, bool date) {
+	I18n *i18n = I18n::instance();
 	time_t tmp = 0;
 	struct tm *tt = 0;
 
@@ -547,7 +550,7 @@
 		char t[9];
 		if (date) {
 			// format the date... with special consideration for y2k ;)
-			if (screen()->getDateFormat() == Blackbox::B_EuropeanDate) {
+			if (screen()->getDateFormat() == Fluxbox::B_EUROPEANDATE) {
 				sprintf(t,
 					i18n->getMessage(
 				 		ToolbarSet, ToolbarNoStrftimeDateFormatEu,
diff -I'^// \$Id' -Naur --exclude-from diff-exclude fluxbox-0.1.14.orig/src/fluxbox.cc fluxbox-0.1.14/src/fluxbox.cc
--- fluxbox-0.1.14.orig/src/fluxbox.cc	2002-12-09 02:55:32.000000000 +1100
+++ fluxbox-0.1.14/src/fluxbox.cc	2003-09-11 00:28:35.000000000 +1000
@@ -1973,7 +1973,7 @@
 		XrmPutLineResource(&new_blackboxrc, rc_string);
 #else // !HAVE_STRFTIME
 		sprintf(rc_string, "session.screen%d.dateFormat:	%s", screen_number,
-			((screen->getDateFormat() == B_EuropeanDate) ?
+			((screen->getDateFormat() == B_EUROPEANDATE) ?
 				"European" : "American"));
 		XrmPutLineResource(&new_blackboxrc, rc_string);
 
@@ -2321,11 +2321,11 @@
 	if (XrmGetResource(*database, name_lookup, class_lookup, &value_type,
 			&value)) {
 		if (strncasecmp(value.addr, "european", value.size))
-			screen->saveDateFormat(B_AmericanDate);
+			screen->saveDateFormat(B_AMERICANDATE);
 		else
-			screen->saveDateFormat(B_EuropeanDate);
+			screen->saveDateFormat(B_EUROPEANDATE);
 	} else
-		screen->saveDateFormat(B_AmericanDate);
+		screen->saveDateFormat(B_AMERICANDATE);
 
 	sprintf(name_lookup, "session.screen%d.clockFormat", screen_number);
 	sprintf(class_lookup, "Session.Screen%d.ClockFormat", screen_number);
--- fluxbox-0.1.14.orig/util/fbrun/FbRun.cc	2002-12-08 01:15:27.000000000 +1100
+++ fluxbox-0.1.14/util/fbrun/FbRun.cc	2003-09-11 01:07:42.000000000 +1000
@@ -34,6 +34,7 @@
 
 #include <iostream>
 #include <fstream>
+#include <cassert>
 
 using namespace std;
 FbRun::FbRun(int x, int y, size_t width):
